Distribution:	CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		libvorbis
Version:	1.3.1
Release:	1
License:	GNU/GPL
URL:		http://www.xiph.org
Group:		Multimedia/Audio
Source0:	%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686
Summary:	Vorbis codec library.

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: libogg-devel

%description
Ogg Vorbis is a high-quality lossy audio codec that is free of intellectual property restrictions.
libvorbis is the main vorbis codec library. It depends on libogg for bitstream and framing support.
For more details see: http://www.xiph.org

%package	devel
Summary: 	%{name} development headers.
Group: 		Development/Libraries
Requires: 	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -qn %{name}-%{version}

%build
%configure
make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_libdir}/libvorbisenc.so.*
%{_libdir}/libvorbisfile.so.*
%{_libdir}/libvorbis.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/vorbis/codec.h
%{_includedir}/vorbis/vorbisenc.h
%{_includedir}/vorbis/vorbisfile.h
%{_libdir}/libvorbis.a
%{_libdir}/libvorbisenc.a
%{_libdir}/libvorbisenc.la
%{_libdir}/libvorbisenc.so
%{_libdir}/libvorbisfile.a
%{_libdir}/libvorbisfile.la
%{_libdir}/libvorbisfile.so
%{_libdir}/libvorbis.la
%{_libdir}/libvorbis.so
%{_pkgconfig}/vorbisenc.pc
%{_pkgconfig}/vorbisfile.pc
%{_pkgconfig}/vorbis.pc
%{_aclocal}/vorbis.m4
%{_docdir}/libvorbis-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Oct 17 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.3.1-1
- Version update
* Wed Sep 30 2009 Christian Wasem <wasem@ccux-linux.de> 1.2.3-1
- Version update
* Wed Feb 25 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.2.2-1
- Version update
- svn 15721
* Tue Mar 25 2008 Christian Wasem <wasem@ccux-linux.de> 1.2.0-2
- rebuild for lost devel package
* Mon Mar 10 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.2.0-1
- Version update
* Thu Dec 21 2006 Stefan Gottwald <gotti@ccux-linux.de> 1.1.2-3
- added aotuvb5 Patch to improve quality
* Mon Dec 26 2005 Christian Metzen <metzench@ccux-linux.de> 1.1.2-2
- cleaned file list, rebuild against newest libogg
* Sun Dec 25 2005 Karsten Brockmann <arcam@ccux-linux.de> 1.1.2-1
- Version Update
* Wed Jul 13 2005 Christian Wasem <wasem@ccux-linux.de> 1.1.1-2
- rebuild for source rpm
